﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApp1
{
    public partial class LineAlgoritm : Form
    {
        /// <summary>
        /// Обьявление переменных
        /// </summary>
        double a, b, x;
        /// <summary>
        /// Математическое вычисление
        /// </summary>
        /// <returns> Возвращает ответ в y </returns>
        public double Resh(double a, double b, double x)
        {
            double y = Math.Round(((a * x - Math.Sqrt(b)) / (5.7 * (Math.Pow(x, 2) + Math.Pow(b, 2)))) - ((Math.Abs(x + b) - Math.Pow(a, 2)) / Math.Pow(x, 2)) * Math.Tan(Math.Pow(b, 2)), 3);
            return y;
        }
        /// <summary>
        /// Кнопка которая вызывает метод для решения
        /// </summary>
        private void btnResh_Click(object sender, EventArgs e)
        {
            double y = Resh(a, b, x);
            tbOutput.Text = y.ToString();
        }
        /// <summary>
        /// Поле ввода переменной B
        /// </summary>
        private void tbInputB_TextChanged(object sender, EventArgs e)
        {
            //Обработка ошибки
            try
            {
                b = Convert.ToDouble(tbInputB.Text);
            } catch
            {
                tbInputB.Text = "Ошибка";
            }
        }
        /// <summary>
        /// Поле ввода переменной X
        /// </summary>
        private void tbInputX_TextChanged(object sender, EventArgs e)
        {
            //Обработка ошибки
            try
            {
                x = Convert.ToDouble(tbInputX.Text);
            }
            catch
            {
                tbInputX.Text = "Ошибка";
            }
        }
        /// <summary>
        /// Поле ввода переменной A
        /// </summary>
        private void tbInputA_TextChanged(object sender, EventArgs e)
        {
            //Обработка ошибки
            try
            {
                a = Convert.ToDouble(tbInputA.Text);
            }
            catch
            {
                tbInputA.Text = "Ошибка";
            }
        }
        public LineAlgoritm()
        {
            InitializeComponent();
        }
    }
}
