﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApp1
{
    public partial class fArray : Form
    {
        public fArray()
        {
            InitializeComponent();
        }
        /// <summary>
        /// Обьявление исходного массива чтобы он был доступен в любой части программы
        /// </summary>
        int[] array = new int[15];
        /// <summary>
        /// Выводит в TexBox массив
        /// </summary>
        /// <param name="array"> Массив который выводят </param>
        /// <param name="newArray"> Булево с помощью которого выбераеться в какое поле вывести </param>
        public void OutputArray(int[] array, bool newArray)
        {
            if (newArray)
            {
                for (int i = 0; i < array.Length; i++)
                {
                    tbOutputNewArray.Text += $"Array[{i}] = {array[i]}" + Environment.NewLine;
                }
            } else
            {
                for (int i = 0; i < array.Length; i++)
                {
                    tbOutputAnswer.Text += $"Array[{i}] = {array[i]}" + Environment.NewLine;
                }
            }
        }
        /// <summary>
        /// Зполнение массива
        /// </summary>
        public void NewArray()
        {
            Random r = new Random();
            for (int i = 0; i < array.Length; i++)
            {
                array[i] = r.Next(-10, 10);
            }
            OutputArray(array, true);
        }
        /// <summary>
        /// Удаляет элементы массива стоящие на нечетном месте
        /// </summary>
        public void CalculateArray()
        {
            int[] newArray = new int[15];
            newArray = array;
            for (int i = 0; i < array.Length; i++)
            {
                if (i % 2 != 0)
                {
                    newArray[i] = 0;
                }
            }
            OutputArray(newArray, false);
        }
        /// <summary>
        /// Метод для обработки нажатия на кнопку, вызывает метод NewArray()
        /// </summary>
        private void btnFillArray_Click(object sender, EventArgs e)
        {
            NewArray();
        }
        /// <summary>
        /// Метод для обработки нажатия на кнопку, вызывает метод CalculateArray()
        /// </summary>
        private void btnReplaceArray_Click(object sender, EventArgs e)
        {
            CalculateArray();
        }
    }
}
